cmath (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules
Class cmath

    java.lang.Object
      org.python.modules.cmath

    public class cmath

extends Object

Field Summary
`static PyFloat` | `e`
`static PyFloat` | `pi`

Constructor Summary
`cmath()`

Method Summary
`static PyObject` | `acos(PyObject in)`
`static PyComplex` | `acosh(PyObject in)`
`static PyComplex` | `asin(PyObject in)`
`static PyComplex` | `asinh(PyObject in)`
`static PyComplex` | `atan(PyObject in)`
`static PyComplex` | `atanh(PyObject in)`
`static PyComplex` | `cos(PyObject in)`
`static PyComplex` | `cosh(PyObject in)`
`static PyComplex` | `exp(PyObject in)`
`static PyComplex` | `log(PyComplex x, double base)`
`static PyComplex` | `log(PyObject in)`
`static PyComplex` | `log(PyObject in, PyObject base)`
`static PyComplex` | `log10(PyObject in)`
`static PyComplex` | `sin(PyObject in)`
`static PyComplex` | `sinh(PyObject in)`
`static PyComplex` | `sqrt(PyObject in)`
`static PyComplex` | `tan(PyObject in)`
`static PyComplex` | `tanh(PyObject in)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pi

    public static PyFloat pi

### e

    public static PyFloat e

Constructor Detail

### cmath

    public cmath()

Method Detail

### acos

    public static PyObject acos(PyObject in)

### acosh

    public static PyComplex acosh(PyObject in)

### asin

    public static PyComplex asin(PyObject in)

### asinh

    public static PyComplex asinh(PyObject in)

### atan

    public static PyComplex atan(PyObject in)

### atanh

    public static PyComplex atanh(PyObject in)

### cos

    public static PyComplex cos(PyObject in)

### cosh

    public static PyComplex cosh(PyObject in)

### exp

    public static PyComplex exp(PyObject in)

### log

    public static PyComplex log(PyObject in)

### log10

    public static PyComplex log10(PyObject in)

### log

    public static PyComplex log(PyObject in,
                                PyObject base)

### log

    public static PyComplex log(PyComplex x,
                                double base)

### sin

    public static PyComplex sin(PyObject in)

### sinh

    public static PyComplex sinh(PyObject in)

### sqrt

    public static PyComplex sqrt(PyObject in)

### tan

    public static PyComplex tan(PyObject in)

### tanh

    public static PyComplex tanh(PyObject in)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage